Bug 155554 - Wrong keyboard mapping for "slovene"
Summary: Wrong keyboard mapping for "slovene"
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firstboot   
(Show other bugs)
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-21 12:20 UTC by David Balažic
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-28 19:25:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Balažic 2005-04-21 12:20:38 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
Opening this bug as suggested in https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=100686#c36


Version-Release number of selected component (if applicable):
anaconda-10.2.0.47-1

How reproducible:
Didn't try

Steps to Reproduce:


Additional info:

Comment 1 Paul Nasrat 2005-04-21 13:27:50 UTC
system-config-keyboard and anaconda uses the keyboard models - I assume that
rhgb should too

import rhpl.keyboard_models
k = rhpl.keyboard_models.KeyboardModels()

name, xlayout, kbmodel, variant, options = k.modelDict["slovene"]



Comment 2 Chris Lumens 2005-04-25 20:30:27 UTC
How is the keymap wrong, and what should the correct one be?

Comment 3 David Balažic 2005-04-26 07:23:46 UTC
It is qwerty (probaly US, didn't check all 100 keys...).
It should be 'slovene' ( 'sl' or 'si' in X terminology, I am not at the PC right
now, so I can't check, but it is easy, one works and the other gives an error).

Comment 4 Chris Lumens 2005-04-26 14:45:32 UTC
It appears the keyboard is correct in anaconda, the console, and X (at least,
it's certainly not qwerty - the Y and Z keys are transposed, and the bracket
keys produce characters with various accents).  firstboot appears to not be
obeying the keyboard setting.  Reassigning.


Note You need to log in before you can comment on or make changes to this bug.